# pyv

Wrapper for python-venv

## Install

```sh
git clone https://git.tavo.one/tavo/pyv.git ~/.local/share/pyv
printf 'for f in pyv pyv_comp.bash ; do if [ -f ~/.local/share/pyv/$f ] ; then . ~/.local/share/pyv/$f ; fi ; done' >> ~/.bashrc
```

## Usage

`pyv [ls|new|rm|enter|exit] myvenv`

```sh
pyv new v1    # create venv named v1
pyv new v2    # create venv named v2
pyv ls        # list venvs
pyv rm v2     # delete venv named v2
pyv enter v1  # enter venv named v1
pyv exit      # exit current venv
```

## Update

```sh
git -C ~/.local/share/pyv pull
```

## Uninstall

```sh
rm -rf ~/.local/share/pyv
# Also remove corresponding line in ~/.bashrc
```
